Description

Generalise the Select implementation from Socket to any generic handle (file descriptor in Linux).

Source code files modified

e Source/Core/FileSystem/L1Portability/Environment/Linux/Select.cpp

Source/Core/FileSystem/L1Portability/Select.h
Test/Core/FileSystem/L1Portability/SelectTest.cpp
Test/Core/FileSystem/L1Portability/SelectTest.h
Test/GTest/SelectGTest.cpp

Architecture & design review

Date of the review: 10/11/2015

Person who did the review: André Neto

Version of architecture & design document: N/A. As per the original MARTe implementation.

Result of review: N/A

List of non-conformities: N/A

Code and documentation review
Date of the review: 24/11/2015

Person who did the review: lvan Herrero

Result of review: PASS

List of non-conformities: N/A

Unit test review

Date of the review: 24/11/2015

Person who did the review: lvan Herrero

Result of coverage tests review: PASS [97.0% 131/135]
Result of functional tests review: PASS [92.9% 13/14]

Result of review: PASS
List of non-conformities: N/A

Comments: The coverage reports that 13 of 14 functions have been executed, but the class Select has 11 functions and all have
been executed.

Associated revisions

Revision 3e7d26b0 - 12.11.2015 12:38 - Llorenc Capella

#271 Linux select

WIP

Revision b7b1a93d - 12.11.2015 17:45 - Llorenc Capella

#271_Linux_select Implementation

Linux select functions implamented, but the files cannnot be compiled
yet, due to a new function of Streaml is required.

Revision d0347bec - 13.11.2015 11:08 - Llorenc Capella

#271 Linux select implementation

WIP.

Revision 056b48b1 - 13.11.2015 11:21 - Llorenc Capella

Merge branch 'develop' into #271_Linux_select

Revision 67b2057e - 13.11.2015 15:33 - LIorenc Capella

#271 Linux Select implementation
e Handlel.h added in ordert to suppor the pure virtual function
GetHandle.

* The files compiles, but GetHandle is still not implemented.
¢ Select class documented.

Revision 8dbe8cc9 - 13.11.2015 15:59 - Llorenc Capella

#271 Linux select implementation

GetHandle() added in BasicFile and BasicSocket

Revision 84ea4199 - 13.11.2015 17:51 - Llorenc Capella

#271 Linux select implementation

Linting donel.

Revision de106491 - 19.11.2015 12:53 - Llorenc Capella

#271 Linux Select implementation

The Handlel::GetHandle() was split in Handlel::GetReadHandle() and
Handlel::GetWriteHandle() due to the BasicConsole has two handles.

The BasicFile, BasicSoket, BasicConsole and Select were modified
accordingly.

Revision ¢7cb9865 - 20.11.2015 09:35 - Llorenc Capella
#271 Linux select

THe variable highestHandle is updated when WaitUntil is used.
Revision 4b116263 - 20.11.2015 09:40 - Llorenc Capella
#271 Linux select - unit test implementation WIP

Setup the SelectTest and test started

Revision 44e0ed8e - 20.11.2015 16:14 - Riccardo Vitelli

Merge branch '#271_Linux_select' of https:/rvitelli@vcis-gitlab.f4e.europa.eu/aneto/MARTe2.qit into #271_Linux_select
Revision 1d386979 - 23.11.2015 13:03 - LIorenc Capella

#271 Linux select - Test Implementation
Test, test documentation and cover done.
Minor correction done in the WaitUntil.

Revision 74ba1d3e - 23.11.2015 14:07 - Llorenc Capella

Merge branch '#271_Linux_select' of
https://vcis-gitlab.f4e.europa.eu/aneto/MARTe2.git into
#271 Linux_select

Conflicts:
Source/Core/FileSystem/L1Portability/Select.h

Revision d3eac311 - 24.11.2015 10:03 - LIorenc Capella

#271 Linux select - unit test

fixed compilation error related with name variable in the SelectTest
class.

Revision e7a6be31 - 24.11.2015 15:23 - Ilvan Herrero

#271 - Minor corrections on comments and code

History

#1-10.11.2015 17:33 - André Neto

- Subject changed from Linux generic select to Linux select

#2 - 11.11.2015 17:04 - Riccardo Vitelli

- Assignee set to Llorenc Capella

#3 - 13.11.2015 17:53 - Llorenc Capella
- Status changed from Code: Impl to Code: Rev

#4 - 13.11.2015 17:53 - Llorenc Capella
- Assignee deleted (Llorenc Capella)

#5 - 17.11.2015 15:10 - Riccardo Vitelli

- Assignee set to Riccardo Vitelli

#6 - 20.11.2015 16:18 - Riccardo Vitelli
- Status changed from Code: Rev to Unit: Impl

#7 - 20.11.2015 16:19 - Riccardo Vitelli

- Assignee changed from Riccardo Vitelli to Llorenc Capella

#8 - 23.11.2015 14:08 - Llorenc Capella
- Status changed from Unit: Impl to Unit: Rev

#9 - 23.11.2015 14:09 - Llorenc Capella
- Assignee deleted (Llorenc Capella)

#10 - 24.11.2015 16:10 - Ivan Herrero
- Description updated

- Status changed from Unit: Rev to Closed

The branch #271_Linux_select has been merged on develop (see commit 7b5d3a2).
